Subject: Re: [Tsvwg] sctp performance

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 13 Oct 2004 15:24:14 -0600

Armando,

As I'm sure you know, the OpenSS7 SCTP implementation has been using a
weighted version of the algorithms from the second paper since 2001.  It
also uses a fast restoration technique for restoring suspect
destinations since 2001.  The implementation also uses a (patentable) FR
algorithm that is far simpler than the split-FR presented in the first
paper.  These allow the implementation to exhibit multiplicative
throughput and single RTO fail-over simultaneously.  Neither algorithm
violates AIMD, FR or max burst rules.  They are in fact more
conservative.

I believe I sent you this weighted algorithm some years ago and said it
was worthy of attention. ;)

Perhaps more interesting than just the pure multiplicative increase is
the way that the implementation smoothly adapts and moves out of the way
of a single-interface TCP load resulting in maximization of both
throughputs.  Unfortunately, those results haven't been presented yet.

--brian

On Wed, 13 Oct 2004, Armando L. Caro Jr. wrote:

> Sorry for reviving an old thread, but I'm just getting caught up on this
> list.
> 
> On Thu, 7 Oct 2004, Brian F. G. Bidulock wrote:
> 
> > The interesting thing about the OpenSS7 tests were the multiple
> > interface tests on SOCK_STREAM, that showed that max throughput was a
> > multiple of the number of available interfaces.  Once TCP saturates
> > a single interface it has nowhere else to go.  SCTP can load multiple
> > interfaces to saturation.
> 
> I am curious about SCTP is able to increase throughput as the number of
> interfaces increase. Jana has showed that simply using all paths with SCTP
> is counter-productive. The transport has to be "smart" about getting
> around different issues when doing Concurrent Multipath Transfer (CMT).
> Jana has found several issues with "naive" CMT, but has done a nice
> job of addressing them one by one. He's still in the process of tackling
> more of these issues.
> 
> http://www.cis.udel.edu/~iyengar/publications/2004.spects.iyengar.pdf
> http://www.cis.udel.edu/~iyengar/publications/2004.icon.iyengar.pdf
> 
> ~armando
> 
> 0--                                              --0
> | Armando L. Caro Jr.  |  Protocol Engineering Lab |
> | www.armandocaro.net  |    University of Delaware |
> 0--                                              --0

-- 
Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
[email-masked]    ¦ world; the unreasonable one persists in  ¦
http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
                        ¦ Therefore  all  progress  depends on the ¦
                        ¦ unreasonable man. -- George Bernard Shaw ¦

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 14 Oct 2004 05:33:10 -0600

Randall,

Armando listed two papers:

1st paper:  http://www.cis.udel.edu/~iyengar/publications/2004.spects.iyengar.pdf
2nd paper:  http://www.cis.udel.edu/~iyengar/publications/2004.icon.iyengar.pdf

--brian

On Thu, 14 Oct 2004, Randall Stewart wrote:

> Brian F. G. Bidulock wrote:
> > Armando,
> > 
> > weighted version of the algorithms from the second paper since 2001. 
> 
> Question....
> 
> What is the "second paper" ... are you refering to some of the
> work Armando and Jana have been doing at the U-D or some other
> paper?
> 
> R
> --
> Randall Stewart

---

From: Randall Stewart <[email-masked]>
Date: Thu, 14 Oct 2004 05:54:01 -0400

Question....

R
--
Randall Stewart